- Useful newtypes
- Typeclassopedia + Extended
- Ladder to Effects
- Exercises
  - Concrete tasks (make a CLI, make an apecs-gloss game, write a raw wai server)
  - Classics (implement XYZ Monads etc)
  - Puzzles (type tetris etc)
  - Property Tests
  - Type-level/driven programming (TC recursion etc, Generics)
- Reading list
  - servant paper
  - Algebra Driven Design
